Creates a new object that belongs to a static category (like Company,Project,...)

Request Information

URI Parameters :

None.

Body Parameters :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "139645fd-27f0-4a34-9008-9e3cab8f1d48",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "7b5e669a-6fd8-4a9a-bafd-a68df91acae1",
  "db_info_category_code": "sample string 6",
  "parent_id": "1cb696ca-8342-4288-a3fc-d199494c5b54",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-11-12T16:01:31.6084449+00:00"
}

Response Information

Resource Description :

db_info
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Name of the db_info (Chapter name)

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sequence

Sorting field (0 first), to order them

integer
db_info_category_id

Main Category this chapter belongs using real foreign keys. Needed to extract "DbReport" where the category is the db_report_type

globally unique identifier
db_info_category_code

Specify on which main category this chapter should be shown. Possible values : Article,Company,Contact,Project,User,Jobs,Task,Opportunity,EquipmentFamily. Read more on API / HELP / Info Fields

string

Required

parent_id

Parent Db_info (chapter) (Parent / Child)

globally unique identifier
parent_db_info_code

Embedded entity "db_info" for parent using ERP PK when adding/updating db_info

string
parent_db_info

Embedded entity "db_info" for parent when adding/updating db_info

db_info
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "931e127d-2e05-4e7b-81b2-83c21b639d71",
  "name": "sample string 2",
  "code": "sample string 3",
  "sequence": 4,
  "db_info_category_id": "57a6f917-c27b-40f8-9532-48fb8070b2e5",
  "db_info_category_code": "sample string 6",
  "parent_id": "ad0814d6-29c0-4dd1-ad9f-ab6649127ffd",
  "parent_db_info_code": "sample string 8",
  "modified_dateutc": "2026-11-12T16:01:31.6084449+00:00"
}